package Parser;

import Utilities.Graph;

/**
 * @author Thomas Fober & Marco Mernberger
 *         Philipps-Universitt Marburg
 *         Fachbereich Mathematik und Informatik
 *         {thomas, mernberger}@mathemetik.uni-marburg.de
 */

public interface FileParser {

	
	/**Creates graph object from a given input file.
	 * 
	 * @param path path to file
	 * @param delta cutoff value for vertex distances
	 * @return graph object
	 */
	public abstract Graph createGraph(String path, double delta);

}