///////////////////////////////////////////////////////////////////////////////
//  Filename: $RCSfile: HungarianProblem.java,v $
//  Purpose:  Atom representation.
//  Language: Java
//  Compiler: JDK 1.4
//  Authors:  Joerg K. Wegner
//  Version:  $Revision: 1.2 $
//            $Date: 2004/09/07 09:42:23 $
//            $Author: wegnerj $
//
//  Copyright (c) Dept. Computer Architecture, University of Tuebingen, Germany
///////////////////////////////////////////////////////////////////////////////
package Alignment;


/**
 * Problem definition for the Hungarian Method.
 *
 * @author     wegnerj
 * @cvsversion    $Revision: 1.2 $, $Date: 2004/09/07 09:42:23 $
 */
public class HungarianProblem
{
    //~ Instance fields ////////////////////////////////////////////////////////

    public int[][] assignment;
    public int[][] zuordnung;
    public double[][] cost;
    public int numCols;
    public int numRows;
}
///////////////////////////////////////////////////////////////////////////////
//  END OF FILE.
///////////////////////////////////////////////////////////////////////////////
